=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2010-02-26 17:18:21 +0000
+++ drizzled/sql_base.cc	2010-02-26 22:52:58 +0000
@@ -161,87 +161,6 @@
 }
 
 
-
-/*
-  Create a list for all open tables matching SQL expression
-
-  SYNOPSIS
-  list_open_tables()
-  wild		SQL like expression
-
-  NOTES
-  One gets only a list of tables for which one has any kind of privilege.
-  db and table names are allocated in result struct, so one doesn't need
-  a lock on LOCK_open when traversing the return list.
-
-  RETURN VALUES
-  true	Error 
-*/
-
-bool list_open_tables(const char *db, 
-                      const char *wild, 
-                      bool(*func)(Table *table, 
-                                  open_table_list_st& open_list,
-                                  plugin::InfoSchemaTable *schema_table), 
-                      Table *display,
-                      plugin::InfoSchemaTable *schema_table)
-{
-  vector<open_table_list_st> open_list;
-  vector<open_table_list_st>::iterator it;
-  open_table_list_st table;
-
-  /* What we really need is an optimization for knowing unique tables */
-  if (db && wild)
-    open_list.reserve(sizeof(open_table_list_st) * (open_cache.records % 2));
-  else
-    open_list.reserve(sizeof(open_table_list_st) * open_cache.records);
-
-  pthread_mutex_lock(&LOCK_open); /* List all open tables */
-
-  for (uint32_t idx= 0; idx < open_cache.records; idx++)
-  {
-    bool found= false;
-    Table *entry=(Table*) hash_element(&open_cache,idx);
-
-    if (db && my_strcasecmp(system_charset_info, db, entry->s->db.str))
-      continue;
-    if (wild && internal::wild_compare(entry->s->table_name.str, wild, 0))
-      continue;
-
-    for (it= open_list.begin(); it < open_list.end(); it++)
-    {
-      if (!(*it).table.compare(entry->s->table_name.str) &&
-          !(*it).db.compare(entry->s->db.str))
-      {
-        if (entry->in_use)
-          (*it).in_use++;
-        if (entry->locked_by_name)
-          (*it).locked++;
-
-        found= true;
-
-        break;
-      }
-    }
-
-    if (found)
-      continue;
-
-    table.db= entry->s->db.str;
-    table.table= entry->s->table_name.str;
-    open_list.push_back(table);
-  }
-  pthread_mutex_unlock(&LOCK_open);
-
-  for (it= open_list.begin(); it < open_list.end(); it++)
-  {
-    if (func(display, *it, schema_table))
-      return true;
-  }
-
-  return false;
-}
-
 /*****************************************************************************
  *	 Functions to free open table cache
  ****************************************************************************/

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2010-02-26 17:18:21 +0000
+++ drizzled/sql_base.h	2010-02-26 22:52:58 +0000
@@ -143,14 +143,6 @@
 
 bool fill_record(Session* session, List<Item> &fields, List<Item> &values, bool ignore_errors= false);
 bool fill_record(Session *session, Field **field, List<Item> &values, bool ignore_errors= false);
-bool list_open_tables(const char *db,
-                      const char *wild,
-                      bool(*func)(Table *table,
-                                  open_table_list_st& open_list,
-                                  plugin::InfoSchemaTable *schema_table),
-                      Table *display,
-                      plugin::InfoSchemaTable *schema_table);
-
 inline TableList *find_table_in_global_list(TableList *table,
                                              const char *db_name,
                                              const char *table_name)

